Subject: Re: draft-taylor-mmusic-sdptdm-00.txt

From: "Tom-PT Taylor" <[email-masked]>
Date: Wed, 2 May 2001 15:42:19 -0400

Hi Chuong.

>Date: Fri, 27 Apr 2001 11:14:27 -0500
>From: Chuong Nguyen <[email-masked]>
>
>Tom>
>
>Thanks for finally getting this out.
>I hope this finally put to rest the issue of whether LocalControl (thus
>TDM package is needed)
>or Local Descriptor (thus TDM SDP) is used to describe TDM termination.
>
>I have some questions below:
>
>From sdptdm draft
>
>      1. Set media = "application" if Transmission Mode is not
>         "circuit", or if Information Transfer Capability is
>         "unrestricted digital information" or "restricted digital
>         information".
>
<cnn>  Is this like "unrestricted 64k data" call?
>How does one distingush between RFC2327 media, "application" vs
>"data"?  Should a "unrestricted 64k data" call be considered having a
>media = "application" or "data"?

[PTT] "Unrestricted 64k data" is one of the cases covered here.  The reason
I chose "application" rather than "data" is because of the distinction made
by RFC 2327:

    'The difference between "application" and "data" is
     that the former is a media flow such as whiteboard information, and
     the latter is bulk-data transfer such as multicasting of program
     executables which will not typically be displayed to the user.'

I think what we're talking about is a media flow.

>      2. If Transmission Mode is "circuit" and Information Transfer
>         Capability is "Speech" or "3.1 kHz audio", set media =
>         "audio".
>
>      3. If Transmission Mode is "circuit" and Information Transfer
>         Capability is "Unrestricted digital information with tones and
>         announcements", set media = "audio" while the call is being
>         set up, then set it to "application".

<cnn>  I don't quite follow this.
>Does MGC send an ADD to originating MG w/media = "audio" and
>then a MODIFY w/media = "application" to originating MG after
>terminating MG is established?
>Or do you mean originally the call was audio and switch to
>application if ITC needs to be changed due to tone or announcemets?

[PTT] I mean the former.  The intent of the codepoint is apparently that the
endpoint has to be prepared to receive tones and announcements during call
setup, but after that it's a matter of a data flow (specified by media type
"application" as discussed above).

>      4. If Transmission Mode is "circuit" and Information Transfer
>         Capability is "Video", set media = "application".
>         "Application" is more appropriate than "video" as a MIME type
>         because the bit stream carries more than just video and an
>         application tool is required to interpret it.
>
>
>
>Thanks
>Chuong

Tom Taylor
Multimedia Control and Applications Standards
Ph.  +1 613 736 0961
[email-masked]